Home Download Buy Blog Forum Support

Package control issue

Package control issue

Postby oats on Thu May 10, 2012 1:52 pm

I can't get Package Control to work. I've installed it, but when I try to run "Package Control: Install Package", I get an error:
---------------------------
Sublime Text 2
Package Control: There are no packages available for installation.
---------------------------
I think it might have something to do with my proxy, but I tried to set that up and it failed as well.

Anyway, I'm hoping I can manually install some of the packages found on this site:
http://wbond.net/sublime_packages/commu ... t-installs

But I don't know where to drop the contents that I download. I tried putting it in the "Installed Packages" folder, but that didn't seem to work for me. Please help!
oats
 
Posts: 101
Joined: Mon Nov 09, 2009 4:39 pm

Re: Package control fail

Postby quodlibet on Mon May 14, 2012 7:40 am

oats wrote:---------------------------
Sublime Text 2
Package Control: There are no packages available for installation.
---------------------------
I think it might have something to do with my proxy, but I tried to set that up and it failed as well.


It's been a few months, but I recall having the same or a similar error when I was behind an institutional proxy/firewall/something. I "resolved" this problem by using the portable Sublime Text 2 distribution and then installing plugins from a different location altogether.

oats wrote:But I don't know where to drop the contents that I download. I tried putting it in the "Installed Packages" folder, but that didn't seem to work for me. Please help!


All plugins go in their own subfolders in the Packages folder. For example, ZenCoding would go under Packages/Zen Coding.

Hope this helps,
Alex
quodlibet
 
Posts: 504
Joined: Sat Jun 18, 2011 5:53 pm

Re: Package control fail

Postby iamntz on Mon May 14, 2012 10:43 am

Also have this when i try to upgrade packages:
Code: Select all
Package Control: Error downloading package. URL error [Errno 185090057] _ssl.c:326: error:0B084009:x509 certificate routines:X509_load_cert_crl_file:PEM lib downloading https://nodeload.github.com/SublimeText/VintageEx/zipball/master.


I read somewhere where Wbond said that he has some issues with it's server. But i'm not sure where/when.
iamntz
 
Posts: 907
Joined: Fri Apr 29, 2011 8:52 am
Location: Romania

Re: Package control issue

Postby ms4py on Wed May 23, 2012 7:37 pm

A patch for the proxy issue is here: https://github.com/wbond/sublime_packag ... l/pull/116
ms4py
 
Posts: 19
Joined: Wed Apr 27, 2011 11:25 am


Return to Technical Support

Who is online

Users browsing this forum: Exabot [Bot], Google [Bot] and 15 guests